LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 12-19-2003, 05:14 AM   #1
eleven11
LQ Newbie
 
Registered: Dec 2003
Location: singapore
Distribution: mandrake 9.1
Posts: 1

Rep: Reputation: 0
mysql on mandrake 9.1


Hi people,

I would love to say i'm an intermediate linux user but I'm not even sure of that anymore . Ok the thing is that I've been trying to install mysql on linux madrake 9.1 but all hell broke loose when I did that. I'm not the type to post msgs on BBs, so take this as an admission of my defeat. Anyway here are the detail:

I've downloaded

1. MySQL-shared-3.23.2-1.i386.rpm and installed it without problems.

2. MySQL-client-4.0.15-1mdk.i586.rpm

It gives me the following dependency errors:

error: failed dependencies:
libmysql12 = 4.0.15-1mdk is needed by MySQL-client-4.0.15-1mdk
perl(Exporter) is needed by MySQL-client-4.0.15-1mdk
perl(Fcntl) is needed by MySQL-client-4.0.15-1mdk
perl(Getopt::Long) is needed by MySQL-client-4.0.15-1mdk
perl(IPC::Open3) is needed by MySQL-client-4.0.15-1mdk
perl(POSIX) is needed by MySQL-client-4.0.15-1mdk
perl(Sys::Hostname) is needed by MySQL-client-4.0.15-1mdk
perl(strict) is needed by MySQL-client-4.0.15-1mdk


I installed libmysql12-4.0.11a-5mdk.i586.rpm and still the above error.

Thinking I'd tackle this one later and get the Perl modules, I got another error with perl this time:



[root@gauntlet Desktop]# rpm -i perl-base-5.8.1-0.RC4.3mdk.i586.rpm


file /usr/bin/perl5 from install of perl-base-5.8.1-0.RC4.3mdk conflicts with file from package perl-base-5.8.0-19mdk
file /usr/bin/suidperl from install of perl-base-5.8.1-0.RC4.3mdk conflicts with file from package perl-base-5.8.0-19mdk



And to make things better I cant uninstall or upgrade perl-base-5.8.0-19mdk because i get this:


[root@gauntlet Desktop]# rpm -U perl-base-5.8.1-0.RC4.3mdk.i586.rpm
error: failed dependencies:
perl-base = 5.8.0-19mdk is needed by perl-5.8.0-19mdk
perl-base = 5.8.0 is needed by vim-enhanced-6.1-36mdk
perl-base = 5.8.0 is needed by gaim-0.59.8-2mdk
[root@gauntlet Desktop]#



I never realised installing a new software was such a headache. Ok i've you've reached here, I only want you to remember one thing.... I need mysql on my pc. Can someone please help me. Btw I also downloaded the other compenents of mysql. They are:

MySQL-common-4.0.15-1mdk.i586.rpm
MySQL-shared-3.23.2-1.i386.rpm
MySQL-4.0.11a-5mdk.i586.rpm
perl-base-5.8.1-0.RC4.3mdk.i586.rpm
MySQL-bench-4.0.15-1mdk.i586.rpm
perl-Mysql-1.22_19-8mdk.i586.rpm
MySQL-client-3.23.2-1.i386.rpm
MySQL-client-4.0.15-1mdk.i586.rpm
libmysql12-4.0.11a-5mdk.i586.rpm
MySQL-common-4.0.11a-5mdk.i586.rpm


Please help.


cheers
chetan
 
Old 12-19-2003, 06:35 AM   #2
jriis
Member
 
Registered: May 2001
Distribution: Debian, Foresight
Posts: 72

Rep: Reputation: 15
Re: mysql on mandrake 9.1

Hi

Use urpmi instead of downloading the RPM's

Here is a link to an easy setup of URPMI

http://urpmi.org/easyurpmi/index.php
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
ERROR 2002: Can't connect to local MySQL server through socket '/var/lib/mysql/mysql. NoviceW Linux - Networking 17 09-17-2014 03:13 PM
Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock welery Linux - Software 19 03-06-2014 08:19 AM
ERROR 2002: Can't connect to local MySQL server through socket '/var/lib/mysql/mysql. suziecorbett Linux - Software 8 10-09-2008 02:52 AM
Problems with MySQL on SuSE: Can't Connect (/var/lib/mysql/mysql.sock) neocookie Linux - Software 8 02-08-2008 12:48 AM
mysql error Can't connect to local MySQL server through socket '/var/lib/mysql/mysql. Dannux Linux - Software 3 03-24-2006 09:44 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 04:24 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration